--- a/preshed/tests/test_bloom.py
+++ b/preshed/tests/test_bloom.py
@@ -1,6 +1,7 @@
 from __future__ import division
 import pytest
 import pickle
+import sys
 
 from preshed.bloom import BloomFilter
 
@@ -61,6 +62,7 @@
         assert ii in bf2
 
 
+@pytest.mark.skipif(sys.byteorder == 'big', reason="Test is endianess dependant")
 def test_bloom_from_bytes_legacy():
     # This is the output from the tests in the legacy format
     data = "0200000000000000600000000000000000000000000000003300000000000000e100000000000000b200000000000000da00000000000000e700000000000000e600000000000000ff000000000000004700000000000000e7000000000000004c000000000000003b00000000000000f700000000000000"
@@ -75,6 +77,7 @@
         assert ii in bf2
 
 
+@pytest.mark.skipif(sys.byteorder == 'big', reason="Test is endianess dependant")
 def test_bloom_from_bytes_legacy_windows():
     # This is the output from the tests in the legacy Windows format.
     # This is the same as the data in the normal test, but missing the second
